use ui::context::Context;
use ui::color;
use widgets::{Widget, WidgetParams};

pub struct Spacer {
    context: Context,
    width: u16
}

pub fn spacer(params: WidgetParams) -> Box<Widget> {
    // TODO parse config
    let mut context = params.context;
    context.set_bg_color(color::GREY);
    let widget = Spacer {
        context: context,
        width: 4
    };
    Box::new(widget)
}

impl Widget for Spacer {
    fn render(&mut self, x: u16, width: u16) {
        self.context.draw_bg(x, width);
    }

    fn width(&mut self) -> u16 {
        self.width
    }
}
